Description

We have quite big (game) project in Redmine. The project has different faces/areas like sound (music, acks, fx, audio for videos and
cut-scenes), game design (map design, map making, map programming, experiments, playability testing and improvements),
programming (...), etc. And we also have people working in different countries and using different languages.

The point is that we need a lot of different forums (in one project). We can do it now, but currently it's a mess. And it would be very
nice to get these forums organized in groups with subforums, instead of having 20-30 of them on the same page (which isn't a
problem) and along the exact same vertical line (which is much bigger problem because it is so much difficult to see the structure).

Even the most basic functionality (to have subforums and to distinguish them by simple increased indents) would suffice. Of course
you could always improve this feature:

- to have an option to have parent as either an independent forum (like can is done now) or a group of subforums without its own
messages.

- to have a relationship of forums to be better distinguished by using graphics icons or lines or whatever (some examples of how
subforums are done in other forums: http://forums.b2evolution.net/, http:/forums.gentoo.org/ , http://forum.joomla.org/ ,
http://ubuntuforums.org/index.php )

- to have different kind of functionality to change how the subforums/forums act

But that's all just a cherry on top of the cake. | would be very happy to get the most basic functionality (like is shown in the attached
example) - that would be absolutely enough for my purposes!

Related issues:
Has duplicate Redmine - Feature #3122: Subforums Closed 2009-04-05
Has duplicate Redmine - Feature #4329: Forum : subsections Closed 2009-12-03

Associated revisions

Revision 10142 - 2012-07-31 19:17 - Jean-Philippe Lang
Support for subforums (#3831).

History

#1 - 2009-11-23 01:09 - Mischa The Evil

I'd give my +10 for this issue. Personally I'd be already satisfied to have it limited to let's say three levels like

< ParentForum >
I
- < SubForuml >
|
— < SubSubForum >
- < SubForum2 >

| "vote" on this issue instead of the related issue #3122 because I'd like the proposal of this issue as displayed in the attachment over the
implementation as displayed in the attachment of issue #3122.

#2 - 2010-05-26 15:55 - Andy Bolstridge

I'd like the same - I'm trying to get some support for a plugin on the main redmine site and its painful. The forums have 1 thread for the plugin, so |
have to wade through a load of messages to find a relevant message.

#3 - 2011-02-22 18:36 - Mark Anderson

+1

2025-07-05 1/2



http://forums.b2evolution.net/
http://forums.gentoo.org/
http://forum.joomla.org/
http://ubuntuforums.org/index.php
https://www.redmine.org/issues/3122
https://www.redmine.org/issues/3122

We use redmine to manage student teams across multi semester projects... | currently create a set of boards within the project for each semester -

but the students often end up posting to the wrong semester's set of boards. This grouping would be extremely helpful!

#4 - 2011-04-26 22:19 - Joshua Villagomez

+1

Definite plus for me on this one. | was wondering if RM included this by default. Already we have a long list of forums, but if we can group the forums,
and have sub-forums, where you can have parent/child relationship, would be fantastic.

#5 - 2012-04-19 14:42 - Mauro Chojrin

+1 for this feature. Any plans for implementation?

#6 - 2012-04-19 15:39 - Jean-Philippe Lang

- Target version set to 2.1.0

#7 - 2012-07-31 19:19 - Jean-Philippe Lang
- Status changed from New to Closed
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Support for subforums added in r10142.
